Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

The attached patch adds an auto-complete feature for wiki macros. The patch can be applied after updating Tribute with the patch 

#33424.

 

The macros are useful, however, those are a bit long to type by hand. And it is also hard for some people to remember. I think these

inconveniences can be eliminated by supporting auto-complete for wiki macros.

Related issues:

Related to Redmine - Feature #30986: New toolbar button to insert wiki macros New

Related to Redmine - Feature #33820: Auto complete wiki page links Closed

Related to Redmine - Feature #31989: Inline issue auto complete (#) in fields... Closed

Blocked by Redmine - Patch #33424: Update Tribute to 5.1.3 Closed

History

#1 - 2020-05-10 09:15 - Go MAEDA

- Blocked by Patch #33424: Update Tribute to 5.1.3 added

#2 - 2020-05-10 09:17 - Go MAEDA

- Related to Feature #30986: New toolbar button to insert wiki macros added

#3 - 2020-05-11 04:23 - Go MAEDA

- File 33425.patch added

Sorry, I forgot to attach a patch.

#4 - 2020-05-13 06:08 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2020-05-24 14:34 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Let's include this feature in 4.2.0.

#6 - 2020-06-10 07:51 - Mizuki ISHIKAWA

- File 33425-v2.patch added
I Fixed so that macro completion does not work in the search form in the upper right.

#7 - 2020-06-10 08:53 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#8 - 2020-08-05 06:41 - Mizuki ISHIKAWA

- File 33425_v3.patch added

With 33425_v2.patch, there was a problem that tribute would be re-initialized even if it was already initialized.

Fix to initialize only when `element.dataset.tribute != 'true'`.

#9 - 2020-10-12 00:16 - Marius BĂLTEANU

- File 33425_v4.patch added

- Assignee deleted (Marius BĂLTEANU)

- Target version changed from 4.2.0 to Candidate for next major release

We should use collection to add a new trigger, please see an example attached.

The patch is still not ready because the concern raised by Bernhard and Jean-Philippe in #30986#note-7 is still available and I agree with them, we

need a method to describe the macros and how to use them.

#10 - 2020-10-12 00:54 - Marius BĂLTEANU

Another limitation of the patch in the current state is the hardcoded macros values which makes very hard for plugin developers that add new macros

to add them to the auto complete as well.

#11 - 2020-10-13 07:38 - Marius BĂLTEANU

- Related to Feature #33820: Auto complete wiki page links added

#12 - 2020-10-13 07:39 - Marius BĂLTEANU

- Related to Feature #31989: Inline issue auto complete (#) in fields with text-formatting enabled added

Files

macro-auto-complete.png 26.2 KB 2020-05-10 Go MAEDA

33425.patch 2.47 KB 2020-05-11 Go MAEDA

33425-v2.patch 1.85 KB 2020-06-10 Mizuki ISHIKAWA

33425_v3.patch 3.12 KB 2020-08-05 Mizuki ISHIKAWA

33425_v4.patch 2.73 KB 2020-10-11 Marius BĂLTEANU
